#ifndef _SQLIMPORT_H
#define _SQLIMPORT_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

struct _SQLImportMembers{
    char **ColumnNames;
    char **SingleRowData;
};

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

SQLINTEGER CharTrim(SQLCHAR *Data, SQLINTEGER Length);
void FreeSingleRowDataColumns(struct _SQLImportMembers *SIM, int ColumnCount);
void FreeColumnNames(struct _SQLImportMembers *SIM, int ColumnCount);
void FreeSingleRowData(struct _SQLImportMembers *SIM);
bool ImportSQLResults(CSockSrvr *pSockSrvr, int iClient, char *InFileName);
char **GetPrimaryKeys(CSQL *pcSQL, char *sTableName, int *iNumOfKeys);
void FreePrimaryKeys(char **sOutKeys, int iKeys);

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
